<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
	$objPer=new clsPer;
  /* $existecod=$objPer->ExisteRuta($cod_ruta);  

 if($existecod==""){ */
 $rsman=$objPer->getCodManPass1($cod_ruta);
 $rowman=$objPer->NextRow($rsman);
 
 $numelementos=count($control_v);
 $control1_temp=$control_v;
 $ini=$control1_temp[0][4];
 $fin=$control1_temp[$numelementos-1][5];
		
	$fecha_ruta=extraerfechamysql($fecha_ruta);
	if($_SESSION['tcombustible']==''){
		$tcombus=0;
	}elseif($_SESSION['tcombustible']!=''){
		$tcombus=$_SESSION['tcombustible'];
	}
	$testimado_ruta=extraerfechamysql($testimado_ruta);
	if($via=='A'){
	$testimado_ruta=$fecha_ruta;
	}else{
	$testimado_ruta=$testimado_ruta;
	}
	$rstr=$objPer->getDatosRutaTransPer($matricula);
	$rowtr=$objPer->NextRow($rstr);
	
	$hvind=$rowtr['horamaxtra']-$_SESSION['th1'];
	$htind=$rowtr['horamaxtra']-$_SESSION['tht1'];
	
	/* $objPer->UpdateManViajePassE($rowman['codigo_man'],$fecha_ruta,$testimado_ruta);
	$objPer->UpdateTareoPassE($rowman['codigo_man'],$fecha_ruta,$testimado_ruta); */
	$objPer->UpdateTareoPassE($rowman['codigo_man'],$fecha_ruta,$testimado_ruta,$via);
	
	
	$objPer->updatePlanViajeCab($cod_ruta,$matricula,$fecha_ruta,$testimado_ruta,$via,$_SESSION['th1'],$_SESSION['tht1'],'SI',$tcombus,$_SESSION['thvhm1'],$_SESSION['ththm1'],0,0,0,0,$nv,$tiemporuta); 
	
	if($via=='A'){	
	$n1=1; 
	$n2=1;
	$np1=1;
	$np2=1;
	$no=1;
	$no1=1;
	$nd=1;
	while(list($clave,$valor1)=each($control_v)){  
		$har=$valor1[0];
		$hs=$valor1[1];
		$hl=$valor1[2];											
		$hap=$valor1[3];																				
		$de=$valor1[4];
		$para=$valor1[5];											
		$distancia=$valor1[6];
		$obser=$valor1[7];
		$cod_rutadet=$valor1[8];
		$combustible=$valor1[9];
		$facturable=$valor1[10];
		$thpv=$valor1[11];
		$thpt=$valor1[12];
		$tvhm=$valor1[13];
		$tvthm=$valor1[14];
		$programado=$valor1[15];
		$fechasalida=$valor1[16];
		$fechallegada=$valor1[17];
		$hdes=$valor1[18];
		$tvdhm=$valor1[19];
		/* if($numelementos<=2){
			if($de=='IQUITOS' || $de=='LBC'){
			$ini=$de;
			if($ini=='IQUITOS'){ $fin='LBC';}elseif($ini=='LBC'){ $fin='IQUITOS';}
			}
		}else{
		$ini='x';
		$fin='x';
		} */
		if($cod_rutadet==''){
		$objPer->registrarRutasVDeta($cod_ruta,$de,$para,$har,$hs,$hl,$hap,$obser,$distancia,$combustible,$facturable,$n1++,$n2++,$thpv,$thpt,$valor1[13],$valor1[14],$valor1[15],extraerfechamysql($valor1[16]),extraerfechamysql($valor1[17]),$valor1[18],$valor1[19],$valor1[20],$valor1[21],$ini,$fin);
		}elseif($cod_rutadet!=''){
		$objPer->updatePlanViajeDeta($cod_rutadet,$de,$para,$har,$hs,$hl,$hap,$obser,$distancia,$combustible,$facturable,$n1++,$n2++,$thpv,$thpt,$valor1[13],$valor1[14],$valor1[15],extraerfechamysql($valor1[16]),extraerfechamysql($valor1[17]),$valor1[18],$valor1[19],$valor1[20],$valor1[21],$ini,$fin);
		}
			$objPer->UpdateManViajePassE($rowman['codigo_man'],$fecha_ruta,$testimado_ruta,$ini,$fin);
			
			
			$rsman1=$objPer->getCodManPass11($rowman['codigo_man'],$np1++,$np2++);
			if($rowman['codigo_man']){
			
			if($no++==$no1++){
			
			while($rowman1=$objPer->NextRow($rsman1)){			
			
					$objPer->UpdateTareoPass1($rowman1['codigo_mpass'],$de,$para,$har,$fecha_ruta,($no-1),($no-1),$testimado_ruta);
				
			}$objPer->Liberar($rsman1);
			}
			}
			
		}
	}elseif($via=='F'){
	$n3=1;
	$n4=1;
	$np1=1;
	$np2=1;
	$no=1;
	$no1=1;
	$nd=1;	
	while(list($clave,$valor1)=each($control_v)){ 		
		$har="00:00";
		$hs=$valor1[1];
		$hl=$valor1[2];											
		$hap="00:00";																				
		$de=$valor1[4];
		$para=$valor1[5];											
		$distancia=$valor1[6];
		$obser=$valor1[7];
		$cod_rutadet=$valor1[8];
		$combustible=$valor1[9];
		$facturable=$valor1[10];
		$thpv=$valor1[11];
		$thpt=$valor1[12];
		$tvhm=$valor1[13];
		$tvthm=$valor1[14];
		$programado=$valor1[15];
		$hdes=$valor1[18];
		$tvdhm=$valor1[19];
				
		if($cod_rutadet==''){
		$objPer->registrarRutasVDeta($cod_ruta,$de,$para,$har,$hs,$hl,$hap,$obser,$distancia,$combustible,$facturable,$n3++,$n4++,$thpv,$thpt,$valor1[13],$valor1[14],$valor1[15],extraerfechamysql($valor1[16]),extraerfechamysql($valor1[17]),$valor1[18],$valor1[19],$valor1[20],$valor1[21],$ini,$fin);
		}elseif($cod_rutadet!=''){
		$objPer->updatePlanViajeDeta($cod_rutadet,$de,$para,$har,$hs,$hl,$hap,$obser,$distancia,$combustible,$facturable,$n3++,$n4++,$thpv,$thpt,$valor1[13],$valor1[14],$valor1[15],extraerfechamysql($valor1[16]),extraerfechamysql($valor1[17]),$valor1[18],$valor1[19],$valor1[20],$valor1[21],$ini,$fin);
		}
		$objPer->UpdateManViajePassE($rowman['codigo_man'],$fecha_ruta,$testimado_ruta,$ini,$fin);
		//$objPer->UpdateTareoPass1($rowman['codigo_man'],$de,$para,$har,$fecha_ruta,$n3++,$n4++,$testimado_ruta);
		$rsman1=$objPer->getCodManPass11($rowman['codigo_man'],$np1++,$np2++);
			if($rowman['codigo_man']){
			
			if($no++==$no1++){
			
			while($rowman1=$objPer->NextRow($rsman1)){			
			
					$objPer->UpdateTareoPass1($rowman1['codigo_mpass'],$de,$para,$hs,$fecha_ruta,($no-1),($no-1),$testimado_ruta);
				
			}$objPer->Liberar($rsman1);
			}
			}
		}
	
	} 
	$existeviajeman=$objPer->ExisteViajeMan($cod_ruta);
	if($existeviajeman!="0"){
	$objPer->updateViajeMan($cod_ruta,$_SESSION['th1'],$_SESSION['tht1'],$_SESSION['thvhm1'],$_SESSION['ththm1']);
	}
	$objPer->registrarBitacora($_SESSION['usuarioId'],'ruta',$cod_ruta,'editar ruta',date("Y-m-d"),date("H:i"));
	//$objPer->UpdateParametro($nombre_p,$valor1);
	
	$rsh=$objPer->getHorasxDiaRutaCod1($cod_ruta,$fecha_ruta);
    $rowh=$objPer->NextRow($rsh);
	
	if($via=='A'){
	$rstdp=$objPer->pesototalpascar($cod_ruta,$fecha_ruta);
	$rowtdp=$objPer->NextRow($rstdp);
	$dispesot=$rowtdp['dispesototal'];
	if($rowh['tipohora']=='T'){$tipohora=$rowh['horastec'];}else{$tipohora=$rowh['horasvol'];}
	}
	Redirigir("p_viaje_editar_calcular.php?tipohora=$tipohora&dispesot=$dispesot&cod_ruta=$cod_ruta&fecha=$fecha_ruta");
	//$objPer->registrarprueba('R00297','piero lachi z');
/* }else{
	Redirigir("cvp_mensaje_rutas_existe.php?cod_ruta=$cod_ruta");
}   */

 

?>